API DocumentationManufacturer requisition controller

Get requisitions by order ID

GET
/api/manufacturer/v1/requisition/order

Retrieves all requisitions for the specified order

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Query Parameters

orderId*integer

ID of the order to filter by

Response Body

application/json

curl -X GET "https://example.com/api/manufacturer/v1/requisition/order?orderId=1"
[  {    "id": 0,    "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",    "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",    "orderId": 0,    "orderNumber": "string",    "customerOrganisationId": 0,    "customerOrganisationName": "string",    "pricingType": "string",    "manualPrice": 0,    "pricePaid": 0,    "quantity": 0,    "createdAt": "2019-08-24T14:15:22Z",    "lastUpdated": "2019-08-24T14:15:22Z",    "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",    "workOrders": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "workOrderNumber": 0,        "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",        "name": "string",        "quantity": 0,        "routing": [          {            "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",            "sequence": 0,            "statusId": "e900225c-0629-4e96-be6e-86a17a309645"          }        ],        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "variables": {      "property1": 0,      "property2": 0    },    "postProcessingVariables": [      {        "postProcessingId": 0,        "variables": {          "property1": 0,          "property2": 0        }      }    ],    "duration": 0,    "name": "string"  }]

Last updated on